| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
QosPolicy Class Referenceabstract

`#include <QosPolicies.hpp>`

Inheritance diagram for QosPolicy:
[legend]

## Public Member Functions

| QosPolicy ()
| Constructor without parameters.
| QosPolicy (bool send_always)
| Constructor.
| QosPolicy (const QosPolicy &b)=default
| Copy Constructor.
virtual | ~QosPolicy ()=default
| Destructor.
bool | operator== (const QosPolicy &b) const
QosPolicy & | operator= (const QosPolicy &b)=default
virtual bool | send_always () const
| Whether it should always be sent.
virtual void | clear ()=0
| Clears the QosPolicy object.

## Public Attributes

bool | hasChanged
| Boolean that indicates if the Qos has been changed with respect to the default Qos.

## Protected Attributes

bool | send_always_
| Boolean that indicates if the Qos has to be sent even if it is not changed.

## Constructor & Destructor Documentation

## ◆ QosPolicy() [1/3]

QosPolicy | ( |  | ) |

inline

Constructor without parameters.

## ◆ QosPolicy() [2/3]

QosPolicy | ( | bool | send_always | ) |

inline explicit

Constructor.

Parameters

  send_always | Boolean that set if the Qos need to be sent even if it is not changed

## ◆ QosPolicy() [3/3]

QosPolicy | ( | const QosPolicy & | b | ) |

default

Copy Constructor.

Parameters

  b | Another instance of QosPolicy

## ◆ ~QosPolicy()

virtual ~QosPolicy | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## ◆ clear()

virtual void clear | ( |  | ) |

inline pure virtual

Clears the QosPolicy object.

Implemented in DataRepresentationQosPolicy, DataSharingQosPolicy, DeadlineQosPolicy, DestinationOrderQosPolicy, DisablePositiveACKsQosPolicy, DurabilityQosPolicy, DurabilityServiceQosPolicy, GenericDataQosPolicy, HistoryQosPolicy, LatencyBudgetQosPolicy, LifespanQosPolicy, LivelinessQosPolicy, OwnershipQosPolicy, OwnershipStrengthQosPolicy, PartitionQosPolicy, PresentationQosPolicy, PublishModeQosPolicy, ReliabilityQosPolicy, ResourceLimitsQosPolicy, TimeBasedFilterQosPolicy, TransportConfigQos, TransportPriorityQosPolicy, TypeConsistencyEnforcementQosPolicy, TypeIdV1, TypeObjectV1, WireProtocolConfigQos, and TypeInformationParameter.

## ◆ operator=()

QosPolicy & operator= | ( | const QosPolicy & | b | ) |

default

## ◆ operator==()

bool operator== | ( | const QosPolicy & | b | ) | const

inline

## ◆ send_always()

virtual bool send_always | ( |  | ) | const

inline virtual

Whether it should always be sent.

Returns
  True if it should always be sent.

## Member Data Documentation

## ◆ hasChanged

bool hasChanged

Boolean that indicates if the Qos has been changed with respect to the default Qos.

## ◆ send_always_

bool send_always_

protected

Boolean that indicates if the Qos has to be sent even if it is not changed.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/QosPolicies.hpp